<?php 
/*	+---------------+-------------------+---------------+-----------------------+
	|	Program		|	Pox-Proxy		|	File		|	head.php			|
	|	Author		|	Michael Harris	|	Function	|	The control panel	|
	|	Version		|	V .6a			|				|	used to modify the 	|
	|	Modified	|	22/11/2007		|				|	settings on the fly.|
	|	Copyright	|	2007			|				|						|
	+---------------+-------------------+---------------+-----------------------+
	|	This program is free software: you can redistribute it and/or modify	|
	|	it under the terms of the GNU Affero General Public License as			|
	|	published by the Free Software Foundation, either version 3 of the		|
	|	License, or (at your option) any later version.							|
	|																			|
	+---------------------------------------------------------------------------+
*/
/*
This is the control panel for the Pox Proxy system. It can be used independently, or (the designed usage) as one part of the frame setup. The other two parts being frameset.php and body.php (which is the main pox file).

If you make changes here, it will update session info, using session cookies. 
*/
session_start();// start the session. 
require_once ('settings.php');
	$url=$_GET[$getvar]; //$getvar is set in settings.php . See the relevant comment in that file for more information.
if (isset($_SESSION['aaa']))
{
//
}
header("Content-type: application/xhtml+xml;charset=utf-8");//make sure sending the correct mime type...
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
  <title>Pox</title>
  <meta name="GENERATOR" content="gedit (Linux), and Next/Nexus WebEditor" />
  <meta name="CREATEDBY" content="Michael W Harris" />
  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
	<meta name="robots" content="noindex,nofollow" />
</head>
<body>
<p><strong>Pox - Proxy system</strong>. This is the control panel for the system. URL=
<?php
	echo ('<a href="'.$self.$url.'" target="body">'.$url.'</a></p>'); 

if ($_POST['foobarha']=='1')//if you don't want the user to modify a particular setting, then comment it out here. 
{//also, it wouldn't hurt to remove it from the form below as well.
//could have a foreach($_POST as $delete here, but would need an exception for foobarha, and for each of the types that //
//you don't want the users to modify. 
	if(isset($_POST['removescript'])){$_SESSION['delete']['script']=$_POST['removescript'];}
	if(isset($_POST['removeimages'])){$_SESSION['delete']['images']=$_POST['removeimages'];}
	if(isset($_POST['removeobjects'])){$_SESSION['delete']['objects']=$_POST['removeobjects'];}
	if(isset($_POST['removeapplets'])){$_SESSION['delete']['applets']=$_POST['removeapplets'];}
	if(isset($_POST['removestyle'])){$_SESSION['delete']['styles']=$_POST['removestyle'];}
//	if(isset($_POST['removecookies'])){$_SESSION['delete']['cookies']=$_POST['removecookies'];}
//	if(isset($_POST['removeframes'])){$_SESSION['delete']['frames']=$_POST['removeframes'];}
}
?>
<form action="controls.php?URL=<?php echo $url; ?>" method="post">
<label for="removescript">Remove scripting</label><input type="checkbox" name="removescript" <?php if ($_SESSION['delete']['script']){ echo ('checked="checked"');} ?>/>
<label for="removeimages">Remove images</label><input type="checkbox" name="removeimages" <?php if ($_SESSION['delete']['images']){ echo ('checked="checked"'); }?>/>
<label for="removeobjects">Remove objects</label><input type="checkbox" name="removeobjects" <?php if ($_SESSION['delete']['objects']){ echo ('checked="checked"'); }?>/>
<label for="removeapplets">Remove applets</label><input type="checkbox" name="removeapplets" <?php if ($_SESSION['delete']['applets']){ echo ('checked="checked"');} ?>/>
<label for="removestyle">Remove styles</label><input type="checkbox" name="removestyle" <?php if ($_SESSION['delete']['styles']){ echo ('checked="checked"');} ?>/>
<!-- <label for="removecookies">Remove cookies</label><input type="checkbox" name="removecookies" <?php if ($_SESSION['delete']['cookies']){ echo ('checked="checked"');} ?>/> -->
<!-- <label for="removeframes">Remove frames</label><input type="checkbox" name="removeframes" <?php if ($_SESSION['delete']['frames']){ echo ('checked="checked"');} ?>/> -->

<input type="hidden" name="foobarha" value="1" />
<input type="submit" value="reload page" />
</form>
</body></html>
