<?php
/*	+---------------+-------------------+---------------+-----------------------+
	|	Program		|	Pox-Proxy		|	File		|	functions.php		|
	|	Author		|	Michael Harris	|	Function	|	Contains the 		|
	|	Version		|	V .6a			|				|	various functions	|
	|	Modified	|	01/12/2007		|				|	for the Pox system.	|
	|	Copyright	|	2007			|				|						|
	+---------------+-------------------+---------------+-----------------------+
	|	This program is free software: you can redistribute it and/or modify	|
	|	it under the terms of the GNU Affero General Public License as			|
	|	published by the Free Software Foundation, either version 3 of the		|
	|	License, or (at your option) any later version.							|
	|																			|
	+---------------------------------------------------------------------------+
*/


//returns the mimetype
function mimetype($meta)
{
//returns the last Content-Type in the headers. Strips any charset=* stuff out...
	foreach ($meta['wrapper_data'] as $faf)
	{
		if (substr($faf, 0, 13) == 'Content-Type:') 
		{
	    	$mimetype = substr($faf, 14);
//if there exist anything "(.*)" followed by a ";", then either one or no spaces " ?" and "charset=" (case insensitive) and then more anything, then replace it with the first anything.
			$mimetype = preg_replace('-(.*); ?charset=(.*)-i','$1',$mimetype);
		}
	}
	return $mimetype;
}

/*takes a mimetype and returns text,image, application, (unless application/xhtml+xml which returns text), audio or something else. A (modified) copy of this function is used by the Show application. */
function genericfiletype($meta)
{
	$mimetype=mimetype($meta);
//special case for xhtml, can add other special cases for such things as Javascript. application/x-javascript
//perhaps needs an array of application stuff that is actually text? 
	if ($mimetype=="application/xhtml+xml" or $mimetype=="application/xml+xhtml")
		{$fff[0]='text';}//we then have to set to array zero, because that is what we return.
	else 
		{$fff=explode('/', $mimetype,2 );}
	return $fff[0];
}

?>
